de.esprit.appsuite.transl

## Enum TrEasMsg

- java.lang.Object
- - java.lang.Enum<TrEasMsg>
  - - de.esprit.appsuite.transl.TrEasMsg

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TrEasMsg>

      public enum TrEasMsg
      extends java.lang.Enum<TrEasMsg>
      implements NlsKey

  Translations for error/info/warning messages
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION_0_FAILED_FOR_RECORD_1`
    `ACTION_0_NOT_PERMITTED`
    `ACTION_FAILED_0`
    `ALL_ACTIONS_DONE`
    `APP_CACHE_ALL_CLEARED`
    `APP_CACHE_LOGS_CLEARED_0`
    `APP_CACHE_NOT_ALL_CLEARED`
    `APP_STARTER_LAUNCH_ERROR`
    `APP_TASK_0_FAILED`
    `APPLY_FAILED`
    `BAD_LAUNCH_PREFS`
    `CANNOT_CONVERT_0_TO_TYPE_1`
    `CLIENT_ACTION_FAILED_0`
    `COMMAND_LINE_ERROR`
    `CONN_NEVER_TAKEN_BY_0`
    `CONN_POOL_SHUTTING_DOWN`
    `CONNECT_TO_DATABASE`
    `CONNECTED_SUCCESSFULY`
    `DATABASE_CONNECTION_FAILED`
    `DB_CONN_NOT_ESTABLISHED`
    `DIRECTORY_DOES_NOT_EXIST_0`
    `DUPLICATE_CURRENT_VERSION`
    `DUPLICATE_GROUP_ENTRY_0`
    `DUPLICATE_USER_ENTRY_0`
    `EMPTY_TEXTBUFFER`
    `ERROR_EXIT_STATUS_0_OF_1`
    `ERROR_READING_FILE_0`
    `ERROR_WRITING_FILE_0`
    `EXEC_CLIENT_CMD_FAILED_0`
    `EXEC_SYSTEM_CMD_FAILED_0`
    `EXPECTED_KEYWORD_0_BUT_FOUND_1`
    `FAILED_CREATE_CREDENTIAL`
    `FAILED_CREATE_RECORD_FROM_INPUT`
    `FAILED_EXEC_PROCESS_0`
    `FAILED_LOAD_CLASS_0`
    `FAILED_READ_FILE_0`
    `FAILED_READ_TABLE_0`
    `FAILED_TO_CREATE_DIRECTORY_0`
    `FAILED_TO_DELETE_DIRECTORY_0`
    `FAILED_TO_DELETE_FILE_0`
    `FAILED_TO_INSTANTIATE_CLASS_0`
    `FAILED_TO_LOAD_CLASS_0`
    `FAILED_TO_PURGE_DIRECTORY_0`
    `FAILED_WRITE_FILE_0`
    `FIELD_INPUT_REQUIRED`
    `FIELD_INPUT_REQUIRED_FOR_0`
    `FIELD_RANGE_IS_0_TO_1`
    `FIELD_VALUE_0_NOT_EXISTS_AS_DIR`
    `FIELD_VALUE_0_NOT_EXISTS_AS_FILE`
    `FIELD_VALUE_0_NOT_MATCHES_1`
    `FIELD_VALUE_ABOVE_MAX_0`
    `FIELD_VALUE_BELOW_MIN_0`
    `FIELD_VALUE_NOT_ALLOWED_0`
    `FILE_0_MOD_TIME_NOT_SET`
    `FILE_0_NOT_DELETED`
    `FILE_DOES_NOT_EXIST_0`
    `FILE_EXISTS_ALREADY_0`
    `FILE_IS_DIRECTORY_0`
    `FILE_IS_EMPTY_0`
    `FILE_NOT_FOUND_0`
    `ILLEGAL_VALUE_0_IN_FIELD_1`
    `INSTALLING_APP_0`
    `INSTANCE_ALREADY_INITIALIZED_0`
    `INSTANCE_OF_0_NOT_INITIALIZED`
    `INVALID_0_INPUT_1_FORMAT_IS_2`
    `INVALID_0_INPUT_1_NOT_EXISTS`
    `INVALID_DIRECTORY_NAME_0`
    `INVALID_HOOK_0_FOR_DIALOG_1`
    `INVALID_INPUT_FOR_FIELD_0`
    `INVALID_NAME_0_FOR_ENUM_1`
    `INVALID_ORDINAL_0_FOR_ENUM_1`
    `KEYWORD_0_NOT_FOUND_IN_FILE_0`
    `KLICK_TO_SEE_OPTIONS`
    `LAUNCH_ERROR`
    `MAX_MEMORY_ALLOCATED_0`
    `MAX_MEMORY_PROBED`
    `MISSING_0_ARGUMENT`
    `MISSING_ARCHIVE_FILE`
    `MISSING_CLASSNAME_INPUT`
    `MISSING_FILENAME`
    `MISSING_REQ_0_PARAM_1_IN_FILE_2`
    `MISSING_SELECTION`
    `MISSING_SOFTWARE_FOR_1`
    `MISSING_WORKING_DIR_0`
    `MUST_SUPPLY_NAME`
    `NDF_DOC_VERSION_0_REFUSED_BY_1`
    `NDF_DOCUMENT_ALREADY_OPEN`
    `NDF_DOCUMENT_NOT_OPEN`
    `NDF_EXPECTED_CLOSE_TEXT_SYMBOLS`
    `NDF_EXPECTED_COLS_0_FOUND_1`
    `NDF_EXPECTED_EQUAL_SIGN_IN_0`
    `NDF_EXPECTED_OPEN_0_BODY`
    `NDF_EXPECTED_OPEN_ARRAY_DIMS`
    `NDF_EXPECTED_OPEN_TABLE_HEADER`
    `NDF_EXPECTED_OPEN_TEXT_SYMBOLS`
    `NDF_INVALID_CHAR_IN_LINE_0`
    `NDF_INVALID_EMPTY_DIMENSIONS`
    `NDF_INVALID_EMPTY_NAME_FOR_0`
    `NDF_INVALID_EMPTY_TABLE_HEADER`
    `NDF_INVALID_EQUAL_SYMBOLS_0`
    `NDF_INVALID_INDENTATION`
    `NDF_INVALID_LINEFEED_IN_LINE`
    `NDF_INVALID_NAME_0_FOR_1`
    `NDF_INVALID_SYMBOL_0_VALID_1`
    `NDF_INVALID_TEXT_BREAK_SYMBOLS`
    `NDF_MISPLACED_COMMENT_IN_ARRAY`
    `NDF_MISSING_ARRAY_CLOSE`
    `NDF_MISSING_CLOSE_FOR_0`
    `NDF_MISSING_TEXT_CLOSE`
    `NDF_NEGATIVE_ARRAY_DIMENSION_0`
    `NDF_NO_DIM_TERM_AFTER_0_IN_1`
    `NDF_NO_ROW_TERM_AFTER_0_VALUES`
    `NDF_OPEN_STRUCT_AT_EOF_0`
    `NDF_STRUCT_0_CANNOT_BE_IN_1`
    `NDF_STRUCT_0_MUST_BE_IN_1`
    `NDF_STRUCTURE_0_NOT_OPEN`
    `NDF_UNSUPPORTED_STRUCT_0`
    `NDF_WRONG_0_IN_1_FOR_2_ALLOWED_3`
    `NDF_WRONG_COUNT_VAL_0_COL_1`
    `NET_ACTION_FAILED_0`
    `NO_0_SELECTED`
    `NO_CURRENT_RECORD`
    `NO_CURRENT_VERSION_FOR_0`
    `NO_FILES_ARCHIVED`
    `NO_OPTION_SELECTED`
    `NO_POOL_CONN_AVAILABLE`
    `NO_SUCH_PACKAGE_0`
    `NO_VALID_DIR_SELECTED`
    `NO_VALID_FILE_SELECTED`
    `NOT_A_DBRECORD_TYPE_0`
    `NOTHING_SELECTED`
    `OBSERVING_PROGRESS`
    `POPUP_OF_0_FAILED`
    `RECORD_NOT_FOUND_0`
    `REQUIRED_REC_0_NOT_FOUND_FOR_1`
    `SAX_PARSE_ERROR_LINE_0_COL_1`
    `SCHEMA_0_DOES_NOT_EXIST_IN_DB`
    `TASK_EXECUTION_REJECTED`
    `TASK_FAILED_0`
    `THREAD_0_CALLED_1_OUTSIDE_TX`
    `TOO_MANY_0_TYPE_1_RECS_FOR_2`
    `UNEXPECTED_EOF_IN_FILE_0`
    `UNSUPPORTED_ARCHIVE_FILE_0`
    `UNSUPPORTED_SW_VERSION_0`
    `VERSION_0_NOT_INSTALLED`
    `WORKFLOW_0_ALREADY_RUNNING`
    `WRITTEN_0_RECORDS_TO_1`
    `WRITTEN_OUTPUT_TO_0`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static TrEasMsg` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEasMsg[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### FIELD_INPUT_REQUIRED

          public static final TrEasMsg FIELD_INPUT_REQUIRED

    - #### FIELD_INPUT_REQUIRED_FOR_0

          public static final TrEasMsg FIELD_INPUT_REQUIRED_FOR_0

    - #### FIELD_RANGE_IS_0_TO_1

          public static final TrEasMsg FIELD_RANGE_IS_0_TO_1

    - #### FIELD_VALUE_BELOW_MIN_0

          public static final TrEasMsg FIELD_VALUE_BELOW_MIN_0

    - #### FIELD_VALUE_NOT_ALLOWED_0

          public static final TrEasMsg FIELD_VALUE_NOT_ALLOWED_0

    - #### FIELD_VALUE_ABOVE_MAX_0

          public static final TrEasMsg FIELD_VALUE_ABOVE_MAX_0

    - #### FIELD_VALUE_0_NOT_MATCHES_1

          public static final TrEasMsg FIELD_VALUE_0_NOT_MATCHES_1

    - #### FIELD_VALUE_0_NOT_EXISTS_AS_DIR

          public static final TrEasMsg FIELD_VALUE_0_NOT_EXISTS_AS_DIR

    - #### FIELD_VALUE_0_NOT_EXISTS_AS_FILE

          public static final TrEasMsg FIELD_VALUE_0_NOT_EXISTS_AS_FILE

    - #### COMMAND_LINE_ERROR

          public static final TrEasMsg COMMAND_LINE_ERROR

    - #### LAUNCH_ERROR

          public static final TrEasMsg LAUNCH_ERROR

    - #### UNSUPPORTED_ARCHIVE_FILE_0

          public static final TrEasMsg UNSUPPORTED_ARCHIVE_FILE_0

    - #### MUST_SUPPLY_NAME

          public static final TrEasMsg MUST_SUPPLY_NAME

    - #### EMPTY_TEXTBUFFER

          public static final TrEasMsg EMPTY_TEXTBUFFER

    - #### ILLEGAL_VALUE_0_IN_FIELD_1

          public static final TrEasMsg ILLEGAL_VALUE_0_IN_FIELD_1

    - #### ACTION_0_FAILED_FOR_RECORD_1

          public static final TrEasMsg ACTION_0_FAILED_FOR_RECORD_1

    - #### ACTION_0_NOT_PERMITTED

          public static final TrEasMsg ACTION_0_NOT_PERMITTED

    - #### NO_CURRENT_RECORD

          public static final TrEasMsg NO_CURRENT_RECORD

    - #### FILE_NOT_FOUND_0

          public static final TrEasMsg FILE_NOT_FOUND_0

    - #### FILE_IS_DIRECTORY_0

          public static final TrEasMsg FILE_IS_DIRECTORY_0

    - #### FILE_IS_EMPTY_0

          public static final TrEasMsg FILE_IS_EMPTY_0

    - #### FILE_0_MOD_TIME_NOT_SET

          public static final TrEasMsg FILE_0_MOD_TIME_NOT_SET

    - #### ALL_ACTIONS_DONE

          public static final TrEasMsg ALL_ACTIONS_DONE

    - #### WRITTEN_OUTPUT_TO_0

          public static final TrEasMsg WRITTEN_OUTPUT_TO_0

    - #### WRITTEN_0_RECORDS_TO_1

          public static final TrEasMsg WRITTEN_0_RECORDS_TO_1

    - #### FAILED_CREATE_CREDENTIAL

          public static final TrEasMsg FAILED_CREATE_CREDENTIAL

    - #### FAILED_READ_TABLE_0

          public static final TrEasMsg FAILED_READ_TABLE_0

    - #### FAILED_EXEC_PROCESS_0

          public static final TrEasMsg FAILED_EXEC_PROCESS_0

    - #### FAILED_LOAD_CLASS_0

          public static final TrEasMsg FAILED_LOAD_CLASS_0

    - #### FAILED_WRITE_FILE_0

          public static final TrEasMsg FAILED_WRITE_FILE_0

    - #### FAILED_READ_FILE_0

          public static final TrEasMsg FAILED_READ_FILE_0

    - #### INVALID_HOOK_0_FOR_DIALOG_1

          public static final TrEasMsg INVALID_HOOK_0_FOR_DIALOG_1

    - #### FAILED_CREATE_RECORD_FROM_INPUT

          public static final TrEasMsg FAILED_CREATE_RECORD_FROM_INPUT

    - #### ACTION_FAILED_0

          public static final TrEasMsg ACTION_FAILED_0

    - #### CLIENT_ACTION_FAILED_0

          public static final TrEasMsg CLIENT_ACTION_FAILED_0

    - #### NET_ACTION_FAILED_0

          public static final TrEasMsg NET_ACTION_FAILED_0

    - #### INVALID_INPUT_FOR_FIELD_0

          public static final TrEasMsg INVALID_INPUT_FOR_FIELD_0

    - #### INVALID_0_INPUT_1_FORMAT_IS_2

          public static final TrEasMsg INVALID_0_INPUT_1_FORMAT_IS_2

    - #### INVALID_0_INPUT_1_NOT_EXISTS

          public static final TrEasMsg INVALID_0_INPUT_1_NOT_EXISTS

    - #### INVALID_ORDINAL_0_FOR_ENUM_1

          public static final TrEasMsg INVALID_ORDINAL_0_FOR_ENUM_1

    - #### INVALID_NAME_0_FOR_ENUM_1

          public static final TrEasMsg INVALID_NAME_0_FOR_ENUM_1

    - #### INVALID_DIRECTORY_NAME_0

          public static final TrEasMsg INVALID_DIRECTORY_NAME_0

    - #### FAILED_TO_LOAD_CLASS_0

          public static final TrEasMsg FAILED_TO_LOAD_CLASS_0

    - #### FAILED_TO_INSTANTIATE_CLASS_0

          public static final TrEasMsg FAILED_TO_INSTANTIATE_CLASS_0

    - #### MISSING_FILENAME

          public static final TrEasMsg MISSING_FILENAME

    - #### MISSING_0_ARGUMENT

          public static final TrEasMsg MISSING_0_ARGUMENT

    - #### CONN_NEVER_TAKEN_BY_0

          public static final TrEasMsg CONN_NEVER_TAKEN_BY_0

    - #### NO_POOL_CONN_AVAILABLE

          public static final TrEasMsg NO_POOL_CONN_AVAILABLE

    - #### DB_CONN_NOT_ESTABLISHED

          public static final TrEasMsg DB_CONN_NOT_ESTABLISHED

    - #### INSTANCE_OF_0_NOT_INITIALIZED

          public static final TrEasMsg INSTANCE_OF_0_NOT_INITIALIZED

    - #### INSTANCE_ALREADY_INITIALIZED_0

          public static final TrEasMsg INSTANCE_ALREADY_INITIALIZED_0

    - #### THREAD_0_CALLED_1_OUTSIDE_TX

          public static final TrEasMsg THREAD_0_CALLED_1_OUTSIDE_TX

    - #### CONN_POOL_SHUTTING_DOWN

          public static final TrEasMsg CONN_POOL_SHUTTING_DOWN

    - #### MISSING_CLASSNAME_INPUT

          public static final TrEasMsg MISSING_CLASSNAME_INPUT

    - #### NO_OPTION_SELECTED

          public static final TrEasMsg NO_OPTION_SELECTED

    - #### NOTHING_SELECTED

          public static final TrEasMsg NOTHING_SELECTED

    - #### CONNECTED_SUCCESSFULY

          public static final TrEasMsg CONNECTED_SUCCESSFULY

    - #### CONNECT_TO_DATABASE

          public static final TrEasMsg CONNECT_TO_DATABASE

    - #### TOO_MANY_0_TYPE_1_RECS_FOR_2

          public static final TrEasMsg TOO_MANY_0_TYPE_1_RECS_FOR_2

    - #### REQUIRED_REC_0_NOT_FOUND_FOR_1

          public static final TrEasMsg REQUIRED_REC_0_NOT_FOUND_FOR_1

    - #### RECORD_NOT_FOUND_0

          public static final TrEasMsg RECORD_NOT_FOUND_0

    - #### CANNOT_CONVERT_0_TO_TYPE_1

          public static final TrEasMsg CANNOT_CONVERT_0_TO_TYPE_1

    - #### APPLY_FAILED

          public static final TrEasMsg APPLY_FAILED

    - #### NO_VALID_DIR_SELECTED

          public static final TrEasMsg NO_VALID_DIR_SELECTED

    - #### NO_VALID_FILE_SELECTED

          public static final TrEasMsg NO_VALID_FILE_SELECTED

    - #### MISSING_REQ_0_PARAM_1_IN_FILE_2

          public static final TrEasMsg MISSING_REQ_0_PARAM_1_IN_FILE_2

    - #### UNEXPECTED_EOF_IN_FILE_0

          public static final TrEasMsg UNEXPECTED_EOF_IN_FILE_0

    - #### KEYWORD_0_NOT_FOUND_IN_FILE_0

          public static final TrEasMsg KEYWORD_0_NOT_FOUND_IN_FILE_0

    - #### EXPECTED_KEYWORD_0_BUT_FOUND_1

          public static final TrEasMsg EXPECTED_KEYWORD_0_BUT_FOUND_1

    - #### FILE_DOES_NOT_EXIST_0

          public static final TrEasMsg FILE_DOES_NOT_EXIST_0

    - #### FILE_EXISTS_ALREADY_0

          public static final TrEasMsg FILE_EXISTS_ALREADY_0

    - #### DIRECTORY_DOES_NOT_EXIST_0

          public static final TrEasMsg DIRECTORY_DOES_NOT_EXIST_0

    - #### FAILED_TO_CREATE_DIRECTORY_0

          public static final TrEasMsg FAILED_TO_CREATE_DIRECTORY_0

    - #### FAILED_TO_DELETE_DIRECTORY_0

          public static final TrEasMsg FAILED_TO_DELETE_DIRECTORY_0

    - #### FAILED_TO_PURGE_DIRECTORY_0

          public static final TrEasMsg FAILED_TO_PURGE_DIRECTORY_0

    - #### FAILED_TO_DELETE_FILE_0

          public static final TrEasMsg FAILED_TO_DELETE_FILE_0

    - #### SCHEMA_0_DOES_NOT_EXIST_IN_DB

          public static final TrEasMsg SCHEMA_0_DOES_NOT_EXIST_IN_DB

    - #### DATABASE_CONNECTION_FAILED

          public static final TrEasMsg DATABASE_CONNECTION_FAILED

    - #### NO_SUCH_PACKAGE_0

          public static final TrEasMsg NO_SUCH_PACKAGE_0

    - #### NOT_A_DBRECORD_TYPE_0

          public static final TrEasMsg NOT_A_DBRECORD_TYPE_0

    - #### TASK_FAILED_0

          public static final TrEasMsg TASK_FAILED_0

    - #### TASK_EXECUTION_REJECTED

          public static final TrEasMsg TASK_EXECUTION_REJECTED

    - #### EXEC_SYSTEM_CMD_FAILED_0

          public static final TrEasMsg EXEC_SYSTEM_CMD_FAILED_0

    - #### EXEC_CLIENT_CMD_FAILED_0

          public static final TrEasMsg EXEC_CLIENT_CMD_FAILED_0

    - #### ERROR_EXIT_STATUS_0_OF_1

          public static final TrEasMsg ERROR_EXIT_STATUS_0_OF_1

    - #### SAX_PARSE_ERROR_LINE_0_COL_1

          public static final TrEasMsg SAX_PARSE_ERROR_LINE_0_COL_1

    - #### WORKFLOW_0_ALREADY_RUNNING

          public static final TrEasMsg WORKFLOW_0_ALREADY_RUNNING

    - #### FILE_0_NOT_DELETED

          public static final TrEasMsg FILE_0_NOT_DELETED

    - #### ERROR_READING_FILE_0

          public static final TrEasMsg ERROR_READING_FILE_0

    - #### ERROR_WRITING_FILE_0

          public static final TrEasMsg ERROR_WRITING_FILE_0

    - #### NO_FILES_ARCHIVED

          public static final TrEasMsg NO_FILES_ARCHIVED

    - #### MISSING_ARCHIVE_FILE

          public static final TrEasMsg MISSING_ARCHIVE_FILE

    - #### MISSING_SELECTION

          public static final TrEasMsg MISSING_SELECTION

    - #### NO_0_SELECTED

          public static final TrEasMsg NO_0_SELECTED

    - #### UNSUPPORTED_SW_VERSION_0

          public static final TrEasMsg UNSUPPORTED_SW_VERSION_0

    - #### NDF_DOCUMENT_ALREADY_OPEN

          public static final TrEasMsg NDF_DOCUMENT_ALREADY_OPEN

    - #### NDF_DOCUMENT_NOT_OPEN

          public static final TrEasMsg NDF_DOCUMENT_NOT_OPEN

    - #### NDF_MISSING_CLOSE_FOR_0

          public static final TrEasMsg NDF_MISSING_CLOSE_FOR_0

    - #### NDF_INVALID_INDENTATION

          public static final TrEasMsg NDF_INVALID_INDENTATION

    - #### NDF_INVALID_LINEFEED_IN_LINE

          public static final TrEasMsg NDF_INVALID_LINEFEED_IN_LINE

    - #### NDF_INVALID_CHAR_IN_LINE_0

          public static final TrEasMsg NDF_INVALID_CHAR_IN_LINE_0

    - #### NDF_INVALID_SYMBOL_0_VALID_1

          public static final TrEasMsg NDF_INVALID_SYMBOL_0_VALID_1

    - #### NDF_INVALID_EQUAL_SYMBOLS_0

          public static final TrEasMsg NDF_INVALID_EQUAL_SYMBOLS_0

    - #### NDF_WRONG_COUNT_VAL_0_COL_1

          public static final TrEasMsg NDF_WRONG_COUNT_VAL_0_COL_1

    - #### NDF_INVALID_EMPTY_TABLE_HEADER

          public static final TrEasMsg NDF_INVALID_EMPTY_TABLE_HEADER

    - #### NDF_INVALID_EMPTY_DIMENSIONS

          public static final TrEasMsg NDF_INVALID_EMPTY_DIMENSIONS

    - #### NDF_INVALID_TEXT_BREAK_SYMBOLS

          public static final TrEasMsg NDF_INVALID_TEXT_BREAK_SYMBOLS

    - #### NDF_NEGATIVE_ARRAY_DIMENSION_0

          public static final TrEasMsg NDF_NEGATIVE_ARRAY_DIMENSION_0

    - #### NDF_STRUCTURE_0_NOT_OPEN

          public static final TrEasMsg NDF_STRUCTURE_0_NOT_OPEN

    - #### NDF_STRUCT_0_MUST_BE_IN_1

          public static final TrEasMsg NDF_STRUCT_0_MUST_BE_IN_1

    - #### NDF_STRUCT_0_CANNOT_BE_IN_1

          public static final TrEasMsg NDF_STRUCT_0_CANNOT_BE_IN_1

    - #### NDF_INVALID_NAME_0_FOR_1

          public static final TrEasMsg NDF_INVALID_NAME_0_FOR_1

    - #### NDF_INVALID_EMPTY_NAME_FOR_0

          public static final TrEasMsg NDF_INVALID_EMPTY_NAME_FOR_0

    - #### NDF_WRONG_0_IN_1_FOR_2_ALLOWED_3

          public static final TrEasMsg NDF_WRONG_0_IN_1_FOR_2_ALLOWED_3

    - #### NDF_DOC_VERSION_0_REFUSED_BY_1

          public static final TrEasMsg NDF_DOC_VERSION_0_REFUSED_BY_1

    - #### NDF_OPEN_STRUCT_AT_EOF_0

          public static final TrEasMsg NDF_OPEN_STRUCT_AT_EOF_0

    - #### NDF_EXPECTED_EQUAL_SIGN_IN_0

          public static final TrEasMsg NDF_EXPECTED_EQUAL_SIGN_IN_0

    - #### NDF_UNSUPPORTED_STRUCT_0

          public static final TrEasMsg NDF_UNSUPPORTED_STRUCT_0

    - #### NDF_EXPECTED_OPEN_0_BODY

          public static final TrEasMsg NDF_EXPECTED_OPEN_0_BODY

    - #### NDF_EXPECTED_OPEN_TABLE_HEADER

          public static final TrEasMsg NDF_EXPECTED_OPEN_TABLE_HEADER

    - #### NDF_EXPECTED_OPEN_ARRAY_DIMS

          public static final TrEasMsg NDF_EXPECTED_OPEN_ARRAY_DIMS

    - #### NDF_EXPECTED_OPEN_TEXT_SYMBOLS

          public static final TrEasMsg NDF_EXPECTED_OPEN_TEXT_SYMBOLS

    - #### NDF_EXPECTED_CLOSE_TEXT_SYMBOLS

          public static final TrEasMsg NDF_EXPECTED_CLOSE_TEXT_SYMBOLS

    - #### NDF_MISSING_ARRAY_CLOSE

          public static final TrEasMsg NDF_MISSING_ARRAY_CLOSE

    - #### NDF_MISSING_TEXT_CLOSE

          public static final TrEasMsg NDF_MISSING_TEXT_CLOSE

    - #### NDF_NO_ROW_TERM_AFTER_0_VALUES

          public static final TrEasMsg NDF_NO_ROW_TERM_AFTER_0_VALUES

    - #### NDF_NO_DIM_TERM_AFTER_0_IN_1

          public static final TrEasMsg NDF_NO_DIM_TERM_AFTER_0_IN_1

    - #### NDF_EXPECTED_COLS_0_FOUND_1

          public static final TrEasMsg NDF_EXPECTED_COLS_0_FOUND_1

    - #### NDF_MISPLACED_COMMENT_IN_ARRAY

          public static final TrEasMsg NDF_MISPLACED_COMMENT_IN_ARRAY

    - #### DUPLICATE_USER_ENTRY_0

          public static final TrEasMsg DUPLICATE_USER_ENTRY_0

    - #### DUPLICATE_GROUP_ENTRY_0

          public static final TrEasMsg DUPLICATE_GROUP_ENTRY_0

    - #### DUPLICATE_CURRENT_VERSION

          public static final TrEasMsg DUPLICATE_CURRENT_VERSION

    - #### NO_CURRENT_VERSION_FOR_0

          public static final TrEasMsg NO_CURRENT_VERSION_FOR_0

    - #### VERSION_0_NOT_INSTALLED

          public static final TrEasMsg VERSION_0_NOT_INSTALLED

    - #### MISSING_WORKING_DIR_0

          public static final TrEasMsg MISSING_WORKING_DIR_0

    - #### MAX_MEMORY_PROBED

          public static final TrEasMsg MAX_MEMORY_PROBED

    - #### MAX_MEMORY_ALLOCATED_0

          public static final TrEasMsg MAX_MEMORY_ALLOCATED_0

    - #### INSTALLING_APP_0

          public static final TrEasMsg INSTALLING_APP_0

    - #### OBSERVING_PROGRESS

          public static final TrEasMsg OBSERVING_PROGRESS

    - #### KLICK_TO_SEE_OPTIONS

          public static final TrEasMsg KLICK_TO_SEE_OPTIONS

    - #### MISSING_SOFTWARE_FOR_1

          public static final TrEasMsg MISSING_SOFTWARE_FOR_1

    - #### APP_CACHE_ALL_CLEARED

          public static final TrEasMsg APP_CACHE_ALL_CLEARED

    - #### APP_CACHE_NOT_ALL_CLEARED

          public static final TrEasMsg APP_CACHE_NOT_ALL_CLEARED

    - #### APP_CACHE_LOGS_CLEARED_0

          public static final TrEasMsg APP_CACHE_LOGS_CLEARED_0

    - #### APP_TASK_0_FAILED

          public static final TrEasMsg APP_TASK_0_FAILED

    - #### APP_STARTER_LAUNCH_ERROR

          public static final TrEasMsg APP_STARTER_LAUNCH_ERROR

    - #### BAD_LAUNCH_PREFS

          public static final TrEasMsg BAD_LAUNCH_PREFS

    - #### POPUP_OF_0_FAILED

          public static final TrEasMsg POPUP_OF_0_FAILED

  - ### Method Detail

    - #### values

          public static TrEasMsg[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEasMsg c : TrEasMsg.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEasMsg valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.